/*

    Island Mandel, a puzzle game taking place on the Mandelbrot-set
    Copyright (C) 2008  Daniel Kraft <d@domob.eu>
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef TESTS_TEST_HPP
#define TESTS_TEST_HPP

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

namespace islandmandel
{
namespace tests
{

/**
 * Check a condition and EXIT_FAILURE with message if wrong.
 * @param c The condidition to check
 * @param msg The format-string of the message
 * @param ... The format parameters
 */
void check(bool c, const char* msg, ...);

} // namespace tests
} // namespace islandmandel

#endif // Header-guard
